Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class LifecycleEvent

    java.lang.Object
      java.util.EventObject
          org.apache.openjpa.event.LifecycleEvent

All Implemented Interfaces:
  Serializable

    public class LifecycleEvent

extends EventObject

Lifecycle event on a persistent instance. The event source is the persistent instance whose state has changed.

Since:
  0.3.3
Author:
  Steve Kim, Abe White
See Also:
  Serialized Form

Field Summary
`static int` | `AFTER_ATTACH` Event type when an instance is attached.
`static int` | `AFTER_CLEAR` Event type when an instance is cleared.
`static int` | `AFTER_DELETE` Event type when an instance is deleted.
`static int` | `AFTER_DELETE_PERFORMED` Event type when an instance is deleted, after the record has been deleted from the store.
`static int` | `AFTER_DETACH` Event type when an instance is detached.
`static int` | `AFTER_DIRTY` Event type when an instance is dirtied for the first time.
`static int` | `AFTER_DIRTY_FLUSHED` Event type when an instance is dirtied for the first time after flush.
`static int` | `AFTER_LOAD` Event type when an instance is loaded.
`static int` | `AFTER_PERSIST` Event type when an instance is made persistent
`static int` | `AFTER_PERSIST_PERFORMED` Event type when an instance is made persistent, after the record has been written to the store
`static int` | `AFTER_REFRESH` Event type when an instances is refreshed.
`static int` | `AFTER_STORE` Event type when an instance is stored.
`static int` | `AFTER_UPDATE_PERFORMED` Event type when an instance is modified, after the change has been sent to the store.
`static int[]` | `ALL_EVENTS` Convenience array of all event types.
`static int` | `BEFORE_ATTACH` Event type when an instance is attached.
`static int` | `BEFORE_CLEAR` Event type when an instance is cleared.
`static int` | `BEFORE_DELETE` Event type when an instance is deleted.
`static int` | `BEFORE_DETACH` Event type when an instance is detached.
`static int` | `BEFORE_DIRTY` Event type when an instance is dirtied for the first time.
`static int` | `BEFORE_DIRTY_FLUSHED` Event type when an instance is dirtied for the first time after flush.
`static int` | `BEFORE_PERSIST` Event type before an instance is made persistent
`static int` | `BEFORE_STORE` Event type when an instance is stored.
`static int` | `BEFORE_UPDATE` Event type when an instance is modified.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LifecycleEvent(Object pc, int type)` Constructor.
`LifecycleEvent(Object pc, Object related, int type)` Constructor.

Method Summary
`Object` | `getRelated()` Return the related object.
`int` | `getType()` Return the event type.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE_PERSIST

    public static final int BEFORE_PERSIST

  Event type before an instance is made persistent

  See Also:
    Constant Field Values

### AFTER_PERSIST

    public static final int AFTER_PERSIST

  Event type when an instance is made persistent

  See Also:
    Constant Field Values

### AFTER_PERSIST_PERFORMED

    public static final int AFTER_PERSIST_PERFORMED

  Event type when an instance is made persistent, after the record has been written to the store

  See Also:
    Constant Field Values

### AFTER_LOAD

    public static final int AFTER_LOAD

  Event type when an instance is loaded.

  See Also:
    Constant Field Values

### BEFORE_STORE

    public static final int BEFORE_STORE

  Event type when an instance is stored.

  See Also:
    Constant Field Values

### AFTER_STORE

    public static final int AFTER_STORE

  Event type when an instance is stored.

  See Also:
    Constant Field Values

### BEFORE_CLEAR

    public static final int BEFORE_CLEAR

  Event type when an instance is cleared.

  See Also:
    Constant Field Values

### AFTER_CLEAR

    public static final int AFTER_CLEAR

  Event type when an instance is cleared.

  See Also:
    Constant Field Values

### BEFORE_DELETE

    public static final int BEFORE_DELETE

  Event type when an instance is deleted.

  See Also:
    Constant Field Values

### AFTER_DELETE

    public static final int AFTER_DELETE

  Event type when an instance is deleted.

  See Also:
    Constant Field Values

### AFTER_DELETE_PERFORMED

    public static final int AFTER_DELETE_PERFORMED

  Event type when an instance is deleted, after the record has been deleted from the store.

  See Also:
    Constant Field Values

### BEFORE_DIRTY

    public static final int BEFORE_DIRTY

  Event type when an instance is dirtied for the first time.

  See Also:
    Constant Field Values

### AFTER_DIRTY

    public static final int AFTER_DIRTY

  Event type when an instance is dirtied for the first time.

  See Also:
    Constant Field Values

### BEFORE_DIRTY_FLUSHED

    public static final int BEFORE_DIRTY_FLUSHED

  Event type when an instance is dirtied for the first time after flush.

  See Also:
    Constant Field Values

### AFTER_DIRTY_FLUSHED

    public static final int AFTER_DIRTY_FLUSHED

  Event type when an instance is dirtied for the first time after flush.

  See Also:
    Constant Field Values

### BEFORE_DETACH

    public static final int BEFORE_DETACH

  Event type when an instance is detached.

  See Also:
    Constant Field Values

### AFTER_DETACH

    public static final int AFTER_DETACH

  Event type when an instance is detached.

  See Also:
    Constant Field Values

### BEFORE_ATTACH

    public static final int BEFORE_ATTACH

  Event type when an instance is attached.

  See Also:
    Constant Field Values

### AFTER_ATTACH

    public static final int AFTER_ATTACH

  Event type when an instance is attached.

  See Also:
    Constant Field Values

### AFTER_REFRESH

    public static final int AFTER_REFRESH

  Event type when an instances is refreshed.

  See Also:
    Constant Field Values

### BEFORE_UPDATE

    public static final int BEFORE_UPDATE

  Event type when an instance is modified. This is not invoked for PNEW records, but is invoked for PNEWFLUSHED.

  See Also:
    Constant Field Values

### AFTER_UPDATE_PERFORMED

    public static final int AFTER_UPDATE_PERFORMED

  Event type when an instance is modified, after the change has been sent to the store. This is not invoked for PNEW records, but is invoked for PNEWFLUSHED records.

  See Also:
    Constant Field Values

### ALL_EVENTS

    public static final int[] ALL_EVENTS

  Convenience array of all event types.

Constructor Detail

### LifecycleEvent

    public LifecycleEvent(Object pc,
                          int type)

  Constructor.

  Parameters:
    `pc` - the persistent instance that triggered the event
    `type` - the event type

### LifecycleEvent

    public LifecycleEvent(Object pc,
                          Object related,
                          int type)

  Constructor.

  Parameters:
    `pc` - the persistent instance that triggered the event
    `type` - the event type
    `related` - the related instance such as the detached copy.

Method Detail

### getType

    public int getType()

  Return the event type.

### getRelated

    public Object getRelated()

  Return the related object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.